<template>
  <div class="flex notice__homepage" v-if="!announcement.IsHidden">
    <div class="relative w-full h-10 leading-10">
      <div class="marquee__icon">
        <i class="marquee__image__container">
          <img
            :src="
              getAssetImage(
                'assets/theme/light_flexible_1/desktop/images/microphone.png'
              )
            "
            loading="lazy"
          />
        </i>
      </div>
      <Vue3Marquee
        class="absolute w-[1100px] h-full flex items-center ml-14 top-0.5"
      >
        {{ announcement.Text }}
      </Vue3Marquee>
    </div>
  </div>
</template>
<script lang="ts">
import { defineComponent, computed } from "vue";
import { store } from "@/store";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";

export default defineComponent({
  name: "Announcement",
  setup() {
    const { getAssetImage } = commonHelper;
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const announcement = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "announcement"
        )
    );
    return {
      getAssetImage,
      announcement,
    };
  },
});
</script>
